For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Tags
      • POSTCreate Tag
      • PUTUpdate Tag
      • DELDelete Tag
LogoLogo
SupportContact salesStart free trial
API ReferenceTag

Update Tag

PUT
https://api.projectmanager.com/api/data/tags/:tagId
PUT
/api/data/tags/:tagId
$curl -X PUT https://api.projectmanager.com/api/data/tags/tagId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "color": "string"
17 }
18}
Updates an existing Tag based on information you provide. A Tag is a named categorization you can use to distinguish objects from each other. Tags each have a unique identifier, a name, and a color.
Was this page helpful?
Previous

Delete Tag

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tagIdstringRequiredformat: "uuid"
The id of the tag

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The information to update the tag
namestring or nullOptional
The name of this Tag. When omitted or null, the name is left unchanged.
colorstring or nullOptional

The color that will be used to represent this Tag visually. This color is automatically chosen by the application when a user creates a Tag.

You can choose specify any color that can be represented using HTML RGB syntax such as #0088FF, in the format RRGGBB. You may not use names for colors. When omitted or null, the color is left unchanged.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A Tag is a named categorization you can use to distinguish objects from each other. Tags each have a unique identifier, a name, and a color.